Re: [matplotlib-devel] [Enthought-dev] rcParams and validation

2007-07-22 Thread Dave Peterson
John Hunter wrote: On 7/22/07, Dave Peterson [EMAIL PROTECTED] wrote: Hmm, why did you choose to install enthought.debug? The current source for enthought.traits requires only enthought.etsconfig (which has no other dependencies) and enthought.util (which, without extras, requires only

Re: [matplotlib-devel] [Enthought-dev] rcParams and validation

2007-07-22 Thread Dave Peterson
Dave Peterson wrote: It does look like one of the dependencies in enthought.traits is wrong then. In particular, it was thought that enthought.resource was only required if you actually *used* Traits UI features. I just looked at the code and the only import, in traits, of a package from

Re: [matplotlib-devel] [Enthought-dev] rcParams and validation

2007-07-24 Thread Dave Peterson
Replying to this, even though I replied to a later message to enthought-dev, since this one is also cc'd to matplotlib-devel Darren Dale wrote: On Sunday 22 July 2007 02:10:50 pm John Hunter wrote: On 7/22/07, Dave Peterson [EMAIL PROTECTED] wrote: Just uploaded a new source

Re: [matplotlib-devel] [Enthought-dev] Experimental, traited config module available in svn

2007-08-18 Thread Dave Peterson
fraction of that. Here's some interesting info. I'm sitting here with Dave Peterson, from Enthought, and we've done a bunch of profiling that pointed to setuptools, not Traits, being the culprit for the time increase. We've now just done an install of Traits *without* any setuptools

Re: [matplotlib-devel] [Enthought-dev] Python novice stumped by ImportError

2008-06-09 Thread Dave Peterson
Darren Dale wrote: I think we would rather make traits an external dependency, if it could be easily installed as a separate package by a novice python user. Would it be possible for http://code.enthought.com/projects/traits/ to list specific instructions and links to the downloads? Or to

Re: [matplotlib-devel] [Enthought-dev] Python novice stumped by ImportError

2008-06-09 Thread Dave Peterson
Gael Varoquaux wrote: On Mon, Jun 09, 2008 at 12:04:58PM -0400, Darren Dale wrote: Gael, maybe the following situation caused the trouble: 1) user downloads mpl source 2) builds matplotlib - traits now exists in the temproary build directory 3) installs enthought traits 4)

Re: [matplotlib-devel] [Enthought-dev] Python novice stumped by ImportError

2008-06-09 Thread Dave Peterson
Eric Firing wrote: Dave Peterson wrote: That said, given the upcoming release of Traits 3 this situation may get a little crazier. T2 and T3 are not fully api compatible, though they are very close. So I suspect version numbers are going to play a larger role in the future

Re: [matplotlib-devel] [Enthought-dev] Python novice stumped by ImportError

2008-06-09 Thread Dave Peterson
Darren Dale wrote: On Monday 09 June 2008 04:04:47 pm Dave Peterson wrote: Eric Firing wrote: Dave Peterson wrote: That said, given the upcoming release of Traits 3 this situation may get a little crazier. T2 and T3 are not fully api compatible, though they are very close

Re: [matplotlib-devel] Matplotlib patch on EPD trac?

2009-01-12 Thread Dave Peterson
:45 PM, Dave Peterson dpeter...@enthought.com wrote: Hi John, Sorry for sending this directly, but I'm still waiting for my matplotlib devel mailing subscription to go through We've just had an EPD user submit a patch for matplotlib to 'fix' a problem they were seeing with the PSD function

Re: [matplotlib-devel] Enhancement to matplotlib's PyQt4 backend

2009-04-28 Thread Dave Peterson
Darren Dale wrote: On Tue, Apr 28, 2009 at 12:19 PM, Pierre Raybaut cont...@pythonxy.com mailto:cont...@pythonxy.com wrote: 2009/4/28 John Hunter jdh2...@gmail.com mailto:jdh2...@gmail.com: On Tue, Apr 28, 2009 at 8:18 AM, Pierre Raybaut cont...@pythonxy.com

[matplotlib-devel] Solaris and GCC 4.3.x: error TTStreamWriter has no putc

2009-04-29 Thread Dave Peterson
When attempting to build matplotlib 0.98.5.2 on Solaris 10 using GCC 4.3.3, I get an error: ttconv/pprdrv_tt2.cpp: In member function ‘void GlyphToType3::stack(TTStreamWriter, int)’: ttconv/pprdrv_tt2.cpp:107: error: ‘class TTStreamWriter’ has no member named ‘putc’ So I tried invoking GCC

Re: [matplotlib-devel] scipy conference

2009-07-01 Thread Dave Peterson
John Hunter wrote: Also, we have raised a few hundred dollars in donations, so we could either fly a worthy person out who might not otherwise be able to attend, or pay for sprint registration for someone not getting institutional support. Or at least provide coffee, doughnuts, pizza and

Re: [matplotlib-devel] Building matplotlib on os x

2009-08-13 Thread Dave Peterson
Gael Varoquaux wrote: On Thu, Aug 13, 2009 at 09:30:22AM -0600, Jeff Whitaker wrote: Ariel Rokem wrote import matplotlib matplotlib.__version__ '0.98.5.2' Ariel: This tells me you really didn't install it, or you installed it in a different version of python than you